<?php
if(!isset($_SESSION)) {
  session_start();
}
require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() ) {
    $nombre         = 'RUT no pertenece a un Cliente registrado'; 
    $persClienteId  = 0;
    $encontrado     = false;

    // $idPersCod      = htmlentities( $_POST["par1"],ENT_QUOTES,'UTF-8');
    // $idPers         = filter_var( Varios::decodifica($idPersCod), FILTER_SANITIZE_NUMBER_INT);
    $idPers         = filter_var( $_POST["par1"], FILTER_SANITIZE_NUMBER_INT);
    $rut	          = htmlentities( $_POST["par2"],ENT_QUOTES,'UTF-8');
    $rut	          = Varios::rutQuitarFormato($rut);

    require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
    $cliente_obj = new gestionReserva(null);
    $cliente_inf = $cliente_obj->informacionReservaProveedorCliente( $idPers, $rut, 0);

    if( isset($cliente_inf['pers_razon_social']) ) {
        $nombre           = $cliente_inf['pers_razon_social'];
        $persClienteId    = $cliente_inf['pers_UID'];
        $encontrado       = true;
    }
    $cliente_obj->Close();  
    $data = array(
    'id'         => Varios::codifica($persClienteId),
    'nombre'     => $nombre,
    'rut'        => $idPers.' - '.$rut,
    'encontrado' => $encontrado
    );
    echo json_encode($data);
}
